Functions
Initialization and de-initialization functions
Peripheral Driver » HAL Driver » XQSPI » Functions

Initialization and de-initialization functions. More...

Collaboration diagram for Initialization and de-initialization functions:

## Functions
hal_status_t | hal_xqspi_init (xqspi_handle_t *p_xqspi)
| Initialize the XQSPI according to the specified parameters in the xqspi_init_t and initialize the associated handle. More...
hal_status_t | hal_xqspi_deinit (xqspi_handle_t *p_xqspi)
| De-initialize the XQSPI peripheral. More...
void | hal_xqspi_msp_init (xqspi_handle_t *p_xqspi)
| Initialize the XQSPI MSP. More...
void | hal_xqspi_msp_deinit (xqspi_handle_t *p_xqspi)
| De-initialize the XQSPI MSP. More...

## Detailed Description

Initialization and de-initialization functions.

     ===============================================================================
                  ##### Initialization and de-initialization functions #####
     ===============================================================================
        [..]  This subsection provides a set of functions allowing to initialize and
              de-initialize the XQSPIx peripheral:

          (+) User must implement hal_xqspi_msp_init() function in which he configures
              all related peripherals resources (GPIO, DMA, IT and NVIC ).

          (+) Call the function hal_xqspi_init() to configure the selected device with
              the selected configuration:
            (++) work_mode
            (++) cache_mode
            (++) read_cmd
            (++) baud_rate
            (++) clock_mode

          (+) Call the function hal_xqspi_deinit() to restore the default configuration
              of the selected XQSPIx peripheral.

## Function Documentation

## ◆ hal_xqspi_deinit()

hal_status_t hal_xqspi_deinit | ( | xqspi_handle_t * | p_xqspi | ) |

De-initialize the XQSPI peripheral.

Parameters

  [in] | p_xqspi | Pointer to an XQSPI handle which contains the configuration information for the specified XQSPI module.

Return values

  HAL_OK | Operation is OK.
  HAL_ERROR | Parameter error or operation not supported.
  HAL_BUSY | Driver is busy.
  HAL_TIMEOUT | Timeout occurred.

## ◆ hal_xqspi_init()

hal_status_t hal_xqspi_init | ( | xqspi_handle_t * | p_xqspi | ) |

Initialize the XQSPI according to the specified parameters in the xqspi_init_t and initialize the associated handle.

Parameters

  [in] | p_xqspi | Pointer to an XQSPI handle which contains the configuration information for the specified XQSPI module.

Return values

  HAL_OK | Operation is OK.
  HAL_ERROR | Parameter error or operation not supported.
  HAL_BUSY | Driver is busy.
  HAL_TIMEOUT | Timeout occurred.

## ◆ hal_xqspi_msp_deinit()

void hal_xqspi_msp_deinit | ( | xqspi_handle_t * | p_xqspi | ) |

De-initialize the XQSPI MSP.

Note
  This function should not be modified. When the callback is needed, the hal_xqspi_msp_deinit can be implemented in the user file.

Parameters

  [in] | p_xqspi | Pointer to an XQSPI handle which contains the configuration information for the specified XQSPI module.

## ◆ hal_xqspi_msp_init()

void hal_xqspi_msp_init | ( | xqspi_handle_t * | p_xqspi | ) |

Initialize the XQSPI MSP.

Note
  This function should not be modified. When the callback is needed, the hal_xqspi_msp_deinit can be implemented in the user file.

Parameters

  [in] | p_xqspi | Pointer to an XQSPI handle which contains the configuration information for the specified XQSPI module.